groovy-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jesper Steen Møller <jes...@selskabet.org>
Subject Re: Groovy 3.0
Date Tue, 02 Feb 2016 09:41:17 GMT
Hi list

On 31.01.2016 21:29, Thibault Kruse wrote:

> Are Antlr 4 and Jva 8 syntax linked somethow, meaning is there a hard
> problem describing certain java8 features using whatever antlr version
> is used right now?

I’ve decided to give the Antlr4 task another go.
I had some major trouble getting a reasonable development setup (even with IntelliJ), but
now it seems I can actually get the ball rolling with a reasonable unit test turnaround time
(again using Eclipse and a slightly patched Groovy-Eclipse compiler).

I guess the next milestone is to ensure that the parser derives the same AST’s as the Antlr2
parser, but before that there are some constructs I know aren’t behaving correctly.

-Jesper
Mime
View raw message